KDE 4.7 PyKDE API Reference

- KDE's Python API

# KCategoryDrawerV2 Class Reference

`from PyKDE4.kdeui import *`

Inherits: QObject,KCategoryDrawer

## Detailed Description

Deprecated:

Since:
  4.4

Warning:
  Please use KCategoryDrawerV3 instead

## Signals
| actionRequested (int action, QModelIndex index)
| collapseOrExpandClicked (QModelIndex index)
## Methods
| __init__ (self, QObject parent=0)
| mouseButtonDoubleClicked (self, QModelIndex index, QMouseEvent event)
| mouseButtonMoved (self, QModelIndex index, QMouseEvent event)
| mouseButtonPressed (self, QModelIndex index, QMouseEvent event)
| mouseButtonReleased (self, QModelIndex index, QMouseEvent event)

## Signal Documentation

actionRequested | ( | int | action,
|  | QModelIndex | index
| ) |  |  |

Emit this signal on your subclass implementation to notify that something happened. Usually this will be triggered when you have received an event, and its position matched some "hot spot".

You give this action the integer you want, and having connected this signal to your code, the connected slot can perform the needed changes (view, model, selection model, delegate...)

Signal syntax:
  `QObject.connect(source, SIGNAL("actionRequested(int, const QModelIndex&)"), target_slot)`

collapseOrExpandClicked | ( | QModelIndex | index
| ) |  |  |

This signal becomes emitted when collapse or expand has been clicked.

Signal syntax:
  `QObject.connect(source, SIGNAL("collapseOrExpandClicked(const QModelIndex&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

mouseButtonDoubleClicked | ( | self, |
|  | QModelIndex | index,
|  | QMouseEvent | event
| ) |  |  |

mouseButtonMoved | ( | self, |
|  | QModelIndex | index,
|  | QMouseEvent | event
| ) |  |  |

mouseButtonPressed | ( | self, |
|  | QModelIndex | index,
|  | QMouseEvent | event
| ) |  |  |

mouseButtonReleased | ( | self, |
|  | QModelIndex | index,
|  | QMouseEvent | event
| ) |  |  |